<template>
  <div>
    <video :id="'std-video' + randomId" playsinline webkit-playsinline>
      <source :src="videoUrl" type="application/x-mpegURL" />
    </video>
  </div>
</template>

<script>
import fluidPlayer from 'fluid-player';

export default {
  name: 'std-video-player',
  props: {
    videoUrl: {
      type: String,
      required: true,
    },
  },
  data() {
    return {
      randomId: Math.floor(Math.random() * 101), // videoのidを動画が変わる毎に変更
    };
  },
  mounted() {
    fluidPlayer('std-video' + this.randomId, {
      layoutControls: {
        primaryColor: '#e93a83',
        fillToContainer: true,
        subtitlesEnabled: false,
        allowTheatre: false,
        doubleclickFullscreen: false,
        playbackRateEnabled: true,
        controlBar: {
          autoHide: false,
          autoHideTimeout: 500,
          animated: true,
        },
      },
    });
  },
};
</script>
